Method: projects.locations.apps.versions.patch

Updates the specified app version.

HTTP request

PATCH https://ces.googleapis.com/v1beta/{appVersion.name=projects/*/locations/*/apps/*/versions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
appVersion.name

string

Identifier. The unique identifier of the app version. Format: projects/{project}/locations/{location}/apps/{app}/versions/{version}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update. If empty, fields displayName and description will be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of AppVersion.

Response body

If successful, the response body contains an instance of AppVersion.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.